IARRAY_GET_RESTRICTIONS(3)

FUNCTION
iarray_get_restrictions - Get restriction information.

SYNOPSIS
#include <karma_iarray.h>

unsigned int iarray_get_restrictions

(iarray array, char ***restr_names, double **restr_values)

DESCRIPTION
This routine will get any associated restrictions for an Intelligent Array. The routine will dynamically allocate space for the restriction data, which must be externally freed.

array
    The Intelligent Array.

restr_names
    The array of pointers to restrictions names will be written here.

restr_values
    The array of restriction values will be written here.

RETURN VALUE
The number of restrictions. This may be 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/